%define oname zope.app.content
Name: python-module-%oname
Version: 3.5.1
Release: alt2
Summary: Zope Content Type
License: ZPLv2.1
Group: Development/Python
Url: http://pypi.python.org/pypi/zope.app.content/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-distribute

%py_requires zope.app zope.componentvocabulary zope.interface
%py_requires zope.schema zope.security

%description
This package defines an IInterface that allows the developer to mark
interfaces as content types.

%package tests
Summary: Tests for Zope Content Type
Group: Development/Python
Requires: %name = %version-%release
%py_requires zope.testing

%description tests
This package defines an IInterface that allows the developer to mark
interfaces as content types.

This package contains tests for Zope Content Type.

%prep
%setup

%build
%python_build

%install
%python_install

%ifarch x86_64
install -d %buildroot%python_sitelibdir
mv %buildroot%python_sitelibdir_noarch/* \
	%buildroot%python_sitelibdir/
%endif

%files
%doc *.txt
%python_sitelibdir/*
%exclude %python_sitelibdir/*.pth
%exclude %python_sitelibdir/*/*/*/tests.*

%files tests
%python_sitelibdir/*/*/*/tests.*

%changelog
* Mon Jun 27 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.1-alt2
- Added necessary requirements
- Excluded *.pth

* Sun May 22 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.5.1-alt1
- Initial build for Sisyphus

